Track

com.j0h1.contour.pojo

## Class Track

- java.lang.Object
- - com.j0h1.contour.pojo.Track

- All Implemented Interfaces:
    java.io.Serializable

      public class Track
      extends java.lang.Object
      implements java.io.Serializable

  Serializable representation of a Track object, that can be mapped to a XML document. It can contain a tracks meta data as well as a list of images assigned to the track.
  Author:
    Johannes Riedmann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.ArrayList<ImagePojo>` | `images`
    `private static long` | `serialVersionUID`
    `private int` | `trackId`
    `private java.lang.String` | `trackname`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Track()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<ImagePojo>` | `getImages()`
    `int` | `getTrackId()`
    `java.lang.String` | `getTrackname()`
    `void` | `setImages(java.util.ArrayList<ImagePojo> images)`
    `void` | `setTrackId(int trackId)`
    `void` | `setTrackname(java.lang.String trackname)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### trackId

          private int trackId

    - #### trackname

          private java.lang.String trackname

    - #### images

          private java.util.ArrayList<ImagePojo> images

  - ### Constructor Detail

    - #### Track

          public Track()

  - ### Method Detail

    - #### getTrackId

          public int getTrackId()

    - #### setTrackId

          public void setTrackId(int trackId)

    - #### getTrackname

          public java.lang.String getTrackname()

    - #### setTrackname

          public void setTrackname(java.lang.String trackname)

    - #### getImages

          public java.util.ArrayList<ImagePojo> getImages()

    - #### setImages

          public void setImages(java.util.ArrayList<ImagePojo> images)